Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class charEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.charEditor

Direct Known Subclasses:
  intEditor

    public class charEditor

extends FieldEditor

Field Summary
`(package private) static String[]` | `_params`
`(package private) static String[][]` | `_paramValues`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Constructor Summary
`protected` | `charEditor()` Don't use this, use getInstance()

Method Summary
`String` | `formatNotNull(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Formats the input-field in case of not-null object
`String` | `formatNull(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)` Formats the input-field in case of null object
`String` | `formatValue(RecordFormatter rf, int fieldIndex, Object o, Dictionary<String,Object> formatParams)` Formats the value to appear in an input statement.
`String[]` | `getAcceptedParams()`
`String[][]` | `getAcceptedValue()`
`String` | `getInputType(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)`
`static FieldFormatter` | `getInstance()`
`String` | `getParams(RecordFormatter rf, int fieldIndex, Dictionary<String,Object> formatParams)`
`int` | `getWidth(RecordFormatter rf, int fieldIndex)`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, format, formatHidden, formatHiddenValue, formatShow, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, readFrom, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _params

    static String[] _params

### _paramValues

    static String[][] _paramValues

Constructor Detail

### charEditor

    protected charEditor()

  Don't use this, use getInstance()

Method Detail

### getInstance

    public static FieldFormatter getInstance()

### getAcceptedParams

    public String[] getAcceptedParams()

  Overrides:
    `getAcceptedParams` in class `FieldEditor`

### getAcceptedValue

    public String[][] getAcceptedValue()

  Overrides:
    `getAcceptedValue` in class `FieldEditor`

### getWidth

    public int getWidth(RecordFormatter rf,
                        int fieldIndex)

### getParams

    public String getParams(RecordFormatter rf,
                            int fieldIndex,
                            Dictionary<String,Object> formatParams)

### formatNull

    public String formatNull(RecordFormatter rf,
                             int fieldIndex,
                             Dictionary<String,Object> formatParams)

  Formats the input-field in case of null object

  Overrides:
    `formatNull` in class `FieldFormatter`
  Parameters:
    `rf` - TODO
    `fieldIndex` - TODO

### formatNotNull

    public String formatNotNull(RecordFormatter rf,
                                int fieldIndex,
                                Object o,
                                Dictionary<String,Object> formatParams)

  Formats the input-field in case of not-null object

  Overrides:
    `formatNotNull` in class `FieldFormatter`

### formatValue

    public String formatValue(RecordFormatter rf,
                              int fieldIndex,
                              Object o,
                              Dictionary<String,Object> formatParams)

  Formats the value to appear in an input statement.

  Overrides:
    `formatValue` in class `FieldEditor`

### getInputType

    public String getInputType(RecordFormatter rf,
                               int fieldIndex,
                               Dictionary<String,Object> formatParams)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20